# Cerberus (http://docs.python-cerberus.org/en/stable/) schema for site
# information API

# API version, should be 1 for current version
version:
  type: integer
  required: true
# list of information about domains
domains:
  type: list
  required: true
  schema:
    type: dict
    schema:
      # list of domain aliases
      aliases:
        type: list
        schema:
          type: string
      # domain name
      name:
        type: string
        required: true
      # path to site root, not necessarily web server's document root
      site_root:
        type: string
      # user name that this domain belongs to
      owner:
        type: string
        required: true
# list of folders relative to domain root path to ignore (logs, databases etc)
# for inotify scanner
ignore_paths:
  type: list
  schema:
    type: string
